Update a project monthly budget product item
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-monthly-budget-product-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee": 123,
"description": "<string>",
"invoiceItemId": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-monthly-budget-product-items/{id}"
payload = {
"fee": 123,
"description": "<string>",
"invoiceItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fee: 123, description: '<string>', invoiceItemId: '<string>'})
};
fetch('https://www.ruddr.io/api/workspace/project-monthly-budget-product-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c3e17a42-5b82-4f6d-a0e4-d8f93c6b28a1",
"fee": 4800,
"description": "Monthly CRM platform license",
"createdAt": "2026-06-04T10:22:47.831Z",
"project": {
"id": "b72e4d19-3c08-4a5f-81e7-f1a6c3d59b24",
"name": "Salesforce Rollout",
"client": {
"id": "e1a84d57-06b3-47f8-a930-c84d03e16f17",
"name": "Momentum Consulting Group"
}
},
"invoiceItem": {
"id": "9b2e6f13-fd94-4c38-b8f3-e4b71c99d326",
"name": "Software Licenses"
}
}Project Monthly Budget Product Items
Update a project monthly budget product item
PATCH
/
project-monthly-budget-product-items
/
{id}
Update a project monthly budget product item
The monthly budget for a product invoice item on a project. Only available for billable projects using a monthly budget and the monthly budget mode is “detailed”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project monthly budget product item uuid
Body
application/json
Response
200
The unique identifier for the object.
The total amount of the item.
A description of the item being charged.
The timestamp when the object was created.
The project this item belongs to.
Show child attributes
Show child attributes
The invoice item associated with this budget line.
Show child attributes
Show child attributes
⌘I